[![stars](https://img.shields.io/github/stars/STOmics/stereopy?logo=GitHub&color=yellow)](https://img.shields.io/github/stars/STOmics/stereopy) 
[![pypi](https://img.shields.io/pypi/v/stereopy)](https://pypi.org/project/stereopy/)
[![downloads](https://static.pepy.tech/personalized-badge/stereopy?period=total&units=international_system&left_color=grey&right_color=blue&left_text=downloads)](https://pepy.tech/project/stereopy)
[![docs](https://img.shields.io/static/v1?label=docs&message=stereopy&color=green)](https://stereopy.readthedocs.io/en/latest/index.html)

## **Stereopy**: Spatial Transcriptomics Analysis in Python

[Installation](https://stereopy.readthedocs.io/en/latest/content/00_Installation.html) - 
[Quick start](https://stereopy.readthedocs.io/en/latest/Tutorials/SquareBin_Clustering.html) - 
[Documentation](https://stereopy.readthedocs.io/en/latest/index.html) - 
[API](https://stereopy.readthedocs.io/en/latest/content/03_API.html)

<img src="https://github.com/STOmics/stereopy/blob/main/docs/source/_static/Stereopy_workflow_v0.14.0.png" width="60%" height="80%">

[comment]: <> (![Stereopy]&#40;./docs/source/_static/stereopy.PNG&#41;)

**Stereopy** is a fundamental and comprehensive tool for mining and visualization based on spatial transcriptomics data, such as Stereo-seq (spatial enhanced resolution omics sequencing) data. More analysis will be added here, either from other popular tools or developed by ourselves, to meet diverse requirements. Meanwhile, we are still working on the improvement of performance and calculation efficiency.

## Discussion 
Please use GitHub [issues](https://github.com/STOmics/stereopy/issues) tracker for reports and discussions of:
 - Bug reports
 - Document and data issues
 - Feature requirements
 - ...

## Contribution 
**Stereopy** is in a stage of rapid development so that we will carefully consider all aspects of your proposal. We hope future input will be given by both users and developers.

Details to [contributing](https://stereopy.readthedocs.io/en/latest/content/05_Contributing.html).
